Subject: Java Process Migration....

From: Moon Sung Hoon <[email-masked]>
Date: Sat, 03 Oct 1998 19:00:08 +0900

Hi,

Currently I am trying to implement "process migration" with Java.
I have the following questions related with the topic.
If you send me any comments and suggestions, it would be greatly
appreciated.

Sunghoon Moon
[email-masked]

1. Object Serialization

Object to be saved in the stream may support either the Serializable or
the Extenalizable Interface.
However the Debugger Class (included in JDK 1.0.2) doesn't have a
default constructor.
Is it possible to still use the Object Serialization for a class which
has
no default (null) constructor ?

2. StackFrame

I obtained "System thread group" and "User thread group" from a runtime
system using Debugger class.
There is a real main thread in the User thread group, and it is possible
to
suspend or resume the thread.
Once the thread is suspended, we can get the thread status from memory
using dump method.
And we can get StackFrame from Thread status.
BUT, we can "get" the information only.
Is it possible to use "put" method ?
Without the "put" method, we can't directly manipulate stackframe.
How can I manipulate stackframe without "put" method ?

3. Is it possible to manipulate memory in a Java virtual machine ??
    In another words, is it possible to directly manipulate physical
memory
    locationusing object reference ?